<?php
// Version: 2.0; MessageIndex

function template_main()
{
	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	echo '
	<a id="top"></a>';
	
	if(!empty($context['notice']['description']) && $settings['board_notices'] == 1)
	{
		if(!empty($context['notice']['title']))
		{
			echo '
	<div class="cat_bar">
  	<h3 class="catbg">
    	', $context['notice']['title'], '
  	</h3>
	</div>';
		}
		echo '
	<p class="windowbg description">', $context['notice']['description'], '</p>';
	}
	
    // This is to determine how wide the columns are for the cat and child boards
    if(!empty($settings['post_topic']) && $settings['post_topic'] == 1 || !empty($settings['post_topic']) && $settings['post_topic'] == 2 && !empty($settings['modpos']))
    {
      $childspan = 5;
    }
    elseif(!empty($settings['post_topic']) && $settings['post_topic'] == 1 || !empty($settings['post_topic']) && $settings['post_topic'] == 2 && empty($settings['modpos']))
    {
      $childspan = 4;
    }
    elseif(empty($settings['post_topic']) && !empty($settings['modpos']))
    {
      $childspan = 4;
    }
    else
    {
      $childspan = 3;
    }

	if (!empty($context['boards']) && (!empty($options['show_children']) || $context['start'] == 0))
	{
		echo '
	<div class="tborder childboards" id="board_', $context['current_board'], '_childboards">
		<div class="cat_bar">
			<h3 class="catbg">', $txt['parent_boards'], '</h3>
		</div>
		<div>
			<table class="table_list" border="0" cellspacing="1" cellpadding="0">
				<tbody id="board_', $context['current_board'], '_children" class="content">
				
				<tr class="titlebgsmall">
          <td colspan="2">' , ucwords($txt['board_name']) , '</td>';
          if(empty($settings['post_topic']))
          {
            echo'
            <td class="centertext">' , $txt['status'] , '</td>';
          }
          else
          {
            echo'
            <td class="centertext">' , $txt['posts'] , '</td>
            <td class="centertext">' , $txt['topics'] , '</td>';
          }
          echo'
          <td>' , ucwords($txt['last_post']) , '</td>
          ' , (!empty($settings['modpos'])) ? '<td class="centertext">' . $txt['moderators'] . '</td>' : '' , '
        </tr>';

		foreach ($context['boards'] as $board)
		{
      if(!empty($settings['tidy_boards']))
      {				
        if(!empty($board['children']) && !empty($modSettings['tidy_child_boards']) && $modSettings['tidy_child_boards'] > 1)
        {
					tidyBoards($board);
				}
			}

			echo '
				<tr id="board_', $board['id'], '" class="windowbg2">
					<td class="icon windowbg"', !empty($board['children']) ? ' rowspan="2"' : '', '>
						<a href="', ($board['is_redirect'] || $context['user']['is_guest'] ? $board['href'] : $scripturl . '?action=unread;board=' . $board['id'] . '.0;children'), '">';

				// If the board or children is new, show an indicator.
				if ($board['new'] || $board['children_new']) 
				{
					echo '
							<img src="', $settings['images_url'], '/' , (!empty($settings['customboardicons'])) ? 'boards/' . $board['id'] . '-' : '' , 'on.' , !empty($settings['boardfiletype']) ? $settings['boardfiletype'] : 'png' , '" title="', $txt['new_posts'], '" />';
				}
        // Is it a redirection board?
				elseif ($board['is_redirect'])
				{
          echo '
							<img src="', $settings['images_url'], '/' , (!empty($settings['customboardicons'])) ? 'boards/' . $board['id'] . '-' : '' , 'redirect.' , !empty($settings['boardfiletype']) ? $settings['boardfiletype'] : 'png' , '" alt="*" title="*" />';
				}
        // No new posts at all! The agony!!
				else
				{
          echo '
							<img src="', $settings['images_url'], '/' , (!empty($settings['customboardicons'])) ? 'boards/' . $board['id'] . '-' : '' , 'off.' , !empty($settings['boardfiletype']) ? $settings['boardfiletype'] : 'png' , '" alt="', $txt['old_posts'], '" title="', $txt['old_posts'], '" />';
        }

			echo '
						</a>
					</td>
					<td class="info">
						' , (!empty($settings['rss'])) ? '<span style="float: right;"><a href="' . $scripturl . '?action=.xml;board=' . $board['id'] . ';type=rss"><img src="' . $settings['images_url'] . '/rss.png" alt="" /></a></span>' : '' , '
						<a class="subject" href="', $board['href'], '" name="b', $board['id'], '">', $board['name'], '</a>';

			// Has it outstanding posts for approval?
			if ($board['can_approve_posts'] && ($board['unapproved_posts'] || $board['unapproved_topics']))
				echo '
						<a href="', $scripturl, '?action=moderate;area=postmod;sa=', ($board['unapproved_topics'] > 0 ? 'topics' : 'posts'), ';brd=', $board['id'], ';', $context['session_var'], '=', $context['session_id'], '" title="', sprintf($txt['unapproved_posts'], $board['unapproved_topics'], $board['unapproved_posts']), '" class="moderation_link">(!)</a>';

			echo '

						<p>', $board['description'] , '</p>';

			// Show the "Moderators: ". Each has name, href, link, and id. (but we're gonna use link_moderators.)
				if (empty($settings['modpos']) && !empty($board['moderators']))
				echo '
						<p class="moderators">', count($board['moderators']) === 1 ? $txt['moderator'] : $txt['moderators'], ': ', implode(', ', $board['link_moderators']), '</p>';

				if(!empty($settings['tidy_boards']))
				{
          if(!empty($board['tidy_children']))
          {
            $context['tidy_board'] = $board;
            template_tidy_children();
          }
				}
			// Show some basic information about the number of posts, etc.
			echo '
					</td>';
          if(empty($settings['post_topic']))
          {
            echo'
          <td class="stats windowbg">
						<p>', comma_format($board['posts']), ' ', $board['is_redirect'] ? $txt['redirects'] : $txt['posts'], ' <br />
						', $board['is_redirect'] ? '' : comma_format($board['topics']) . ' ' . $txt['board_topics'], '
						</p>
					</td>';
          }
          else
          {
            if($board['is_redirect'])
            {
              echo'
          <td class="stats windowbg" colspan="2">
            ' , (!empty($settings['post_topic']) && $settings['post_topic']) == 2 ? '<span class="largetext bold">' : '' , '' , comma_format($board['posts']), '' , (!empty($settings['post_topic']) && $settings['post_topic']) == 2 ? '</span>' : '' , '<br />' , $txt['redirects'] , '
          </td>';
            }
            else
            {
              echo'
          <td class="statsp windowbg">
            ' , (!empty($settings['post_topic']) && $settings['post_topic']) == 2 ? '<span class="largetext bold">' : '' , '' , comma_format($board['posts']), '' , (!empty($settings['post_topic']) && $settings['post_topic']) == 2 ? '</span>' : '' , '<br />' , $txt['posts'] , '
          </td>
          <td class="statst windowbg">
            ' , (!empty($settings['post_topic']) && $settings['post_topic']) == 2 ? '<span class="largetext bold">' : '' , '' , comma_format($board['topics']), '' , (!empty($settings['post_topic']) && $settings['post_topic']) == 2 ? '</span>' : '' , '<br />' , $txt['topics'] , '
          </td>';
            }
          }
          echo'
					<td class="lastpost">';

				if (!empty($board['last_post']['id']))
				{
					echo '
            <p>';
					if(!empty($settings['board_post_icon']))
					{
            echo'
              <img src="', $settings['images_url'], '/post/', $board['last_post']['icon'], '.gif" alt="', $txt['bmi'], '" />';
					}
					echo'
              <strong>', $txt['last_post'], '</strong>  ', $txt['by'], ' ', $board['last_post']['member']['link'] , '<br />
  						', $txt['in'], ' ', $board['last_post']['link'], '<br />
  						', $txt['on'], ' ', $board['last_post']['time'],'
            </p>';
				}
			echo '
					</td>';

				if(!empty($settings['modpos']))
				{
          echo'
					<td class="windowbg mods">
  					', implode(', ', $board['link_moderators']), '
					</td>';
				}
				echo'
				</tr>';

			// Show the "Child Boards: ". (there's a link_children but we're going to bold the new ones...)
			if (!empty($board['children']))
			{
				// Sort the links into an array with new boards bold so it can be imploded.
				$children = array();
				/* Each child in each board's children has:
						id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */
				foreach ($board['children'] as $child)
				{
					if (!$child['is_redirect'])
						$child['link'] = '<a href="' . $child['href'] . '" ' . ($child['new'] ? 'class="new_posts" ' : '') . 'title="' . ($child['new'] ? $txt['new_posts'] : $txt['old_posts']) . ' (' . $txt['board_topics'] . ': ' . comma_format($child['topics']) . ', ' . $txt['posts'] . ': ' . comma_format($child['posts']) . ')">' . $child['name'] . ($child['new'] ? '</a> <a href="' . $scripturl . '?action=unread;board=' . $child['id'] . '" title="' . $txt['new_posts'] . ' (' . $txt['board_topics'] . ': ' . comma_format($child['topics']) . ', ' . $txt['posts'] . ': ' . comma_format($child['posts']) . ')"><img src="' . $settings['lang_images_url'] . '/new.gif" class="new_posts" alt="" />' : '') . '</a>';
					else
						$child['link'] = '<a href="' . $child['href'] . '" title="' . comma_format($child['posts']) . ' ' . $txt['redirects'] . '">' . $child['name'] . '</a>';

					// Has it posts awaiting approval?
					if ($child['can_approve_posts'] && ($child['unapproved_posts'] | $child['unapproved_topics']))
						$child['link'] .= ' <a href="' . $scripturl . '?action=moderate;area=postmod;sa=' . ($child['unapproved_topics'] > 0 ? 'topics' : 'posts') . ';brd=' . $child['id'] . ';' . $context['session_var'] . '=' . $context['session_id'] . '" title="' . sprintf($txt['unapproved_posts'], $child['unapproved_topics'], $child['unapproved_posts']) . '" class="moderation_link">(!)</a>';

					$children[] = $child['new'] ? '<strong>' . $child['link'] . '</strong>' : $child['link'];
				}
				echo '
				<tr id="board_', $board['id'], '_children"><td colspan="' , $childspan , '" class="children windowbg"><strong>', $txt['parent_boards'], '</strong>: ', implode(', ', $children), '</td></tr>';
			}
		}
		echo '
				</tbody>
			</table>
		</div>
	</div>';
	}

	if (!empty($options['show_board_desc']) && $context['description'] != '')
		echo '
	<p class="description_board">', $context['description'], '</p>';

	// Create the button set...
	$normal_buttons = array(
		'new_topic' => array('test' => 'can_post_new', 'text' => 'new_topic', 'image' => 'new_topic.gif', 'lang' => true, 'url' => $scripturl . '?action=post;board=' . $context['current_board'] . '.0', 'active' => true),
		'post_poll' => array('test' => 'can_post_poll', 'text' => 'new_poll', 'image' => 'new_poll.gif', 'lang' => true, 'url' => $scripturl . '?action=post;board=' . $context['current_board'] . '.0;poll'),
		'notify' => array('test' => 'can_mark_notify', 'text' => $context['is_marked_notify'] ? 'unnotify' : 'notify', 'image' => ($context['is_marked_notify'] ? 'un' : ''). 'notify.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_board'] : $txt['notification_enable_board']) . '\');"', 'url' => $scripturl . '?action=notifyboard;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';board=' . $context['current_board'] . '.' . $context['start'] . ';' . $context['session_var'] . '=' . $context['session_id']),
		'markread' => array('text' => 'mark_read_short', 'image' => 'markread.gif', 'lang' => true, 'url' => $scripturl . '?action=markasread;sa=board;board=' . $context['current_board'] . '.0;' . $context['session_var'] . '=' . $context['session_id']),
	);
	
	// Topic Note
	if(!empty($settings['akyne_topic_notes']))
	{
    if ($context['board_note'])
    {
      echo '
    <div class="windowbg" style="margin-top: 10px; margin-bottom: 10px">
      <span class="topslice"><span></span></span>
      <div class="content" style="padding:0px 15px 0px 15px">
        ' , parse_bbc($context['board_note']) , '
      </div> 
      <span class="botslice"><span></span></span>
    </div>';
    }
	}

	// They can only mark read if they are logged in and it's enabled!
	if (!$context['user']['is_logged'] || !$settings['show_mark_read'])
		unset($normal_buttons['markread']);

	// Allow adding new buttons easily.
	call_integration_hook('integrate_messageindex_buttons', array(&$normal_buttons));

	if (!$context['no_topic_listing'])
	{
		echo '
	<div class="pagesection">
		<div class="pagelinks floatleft">', $txt['pages'], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . '&nbsp;&nbsp;<a href="#bot"><strong>' . $txt['go_down'] . '</strong></a>' : '', '</div>
		', template_button_strip($normal_buttons, 'right'), '
	</div>';

		// If Quick Moderation is enabled start the form.
		if (!empty($context['can_quick_mod']) && $options['display_quick_mod'] == 1 && !empty($context['topics']))
			echo '
	<form action="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], '" method="post" accept-charset="', $context['character_set'], '" class="clear" name="quickModForm" id="quickModForm">';
	
	echo'
	<div class="tborder topic_table" id="messageindex">
	<table class="table_grid" cellspacing="0" cellpadding="0">
    <thead>';
		// Are there actually any topics to show?
		if (!empty($context['topics']))
		{
      echo'
      <tr class="catbg">
        <th scope="col" class="first_th" width="5%"></th>';
        if($settings['quickmod_location'] == 1 && !empty($settings['quickmod_location']))
        {
          if (!empty($context['can_quick_mod']) && $options['display_quick_mod'] == 1)
          {
            echo'
        <th scope="col" width="24"><input type="checkbox" onclick="invertAll(this, this.form, \'topics[]\');" class="input_check" /></th>';
          }
        }
        echo'
        <th scope="col" class="lefttext">
          <a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=subject', $context['sort_by'] == 'subject' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['subject'], $context['sort_by'] == 'subject' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a> |
          <a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=starter', $context['sort_by'] == 'starter' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['started_by'], $context['sort_by'] == 'starter' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a>
        </th>
        <th scope="col" width="14%">
          <a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=replies', $context['sort_by'] == 'replies' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['replies'], $context['sort_by'] == 'replies' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a> |
          <a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=views', $context['sort_by'] == 'views' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['views'], $context['sort_by'] == 'views' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a>
        </th>
        <th class="lefttext' ,  $settings['quickmod_location'] == 1 || !empty($settings['quickmod_location']) ? ' last_th' : '' , '" width="22%"><a href="', $scripturl, '?board=', $context['current_board'], '.', $context['start'], ';sort=last_post', $context['sort_by'] == 'last_post' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['last_post'], $context['sort_by'] == 'last_post' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></th>';
        if($settings['quickmod_location'] == 0 || empty($settings['quickmod_location']))
        {
          if (!empty($context['can_quick_mod']) && $options['display_quick_mod'] == 1)
          {
            echo'
        <th scope="col" width="24" class="last_th"><input type="checkbox" onclick="invertAll(this, this.form, \'topics[]\');" class="input_check" /></th>';
          }
        }
        echo'      
      </tr>';
		}
		// No topics.... just say, "sorry bub".
		else
		{
			echo'
			<tr class="catbg">
        <th scope="col" class="first_th" width="8%">&nbsp;</th>
			  <th><strong>', $txt['msg_alert_none'], '</strong></th>
			  <th scope="col" class="last_th" width="8%">&nbsp;</th>
      </tr>';
		}

		if (!empty($settings['display_who_viewing']))
		{
      echo'
      <tr class="titlebgsmall whos_viewing">
        <td colspan="', !empty($context['can_quick_mod']) ? '6' : '5', '">';
			if ($settings['display_who_viewing'] == 1)
			{
				echo
        count($context['view_members']), ' ', count($context['view_members']) === 1 ? $txt['who_member'] : $txt['members'];
			}
			else
			{
				echo 
        empty($context['view_members_list']) ? '0 ' . $txt['members'] : implode(', ', $context['view_members_list']) . ((empty($context['view_num_hidden']) or $context['can_moderate_forum']) ? '' : ' (+ ' . $context['view_num_hidden'] . ' ' . $txt['hidden'] . ')');
			}
			echo 
      $txt['who_and'], $context['view_num_guests'], ' ', $context['view_num_guests'] == 1 ? $txt['guest'] : $txt['guests'], $txt['who_viewing_board'], '
        </td>
      </tr>';
		}

		// If this person can approve items and we have some awaiting approval tell them.
		if (!empty($context['unapproved_posts_message']))
		{
      echo'
		  <tr class="titlebgsmall whos_viewing">
				<td colspan="3">
  				<span class="alert">!</span> ', $context['unapproved_posts_message'], '
				</td>
  		</tr>';
		}

		foreach ($context['topics'] as $topic)
		{
			// Is this topic pending approval, or does it have any posts pending approval?
			if ($context['can_approve_posts'] && $topic['unapproved_posts'])
				$color_class = !$topic['approved'] ? 'approvetbg' : 'approvebg';
			elseif ($topic['is_sticky'] && $topic['is_locked'])
			   $color_class = 'stickybglockedbg';
			// Sticky topics should get a different color, too.
			elseif ($topic['is_sticky'])
				$color_class = 'stickybg';
			// Locked topics get special treatment as well.
			elseif ($topic['is_locked'])
				$color_class = 'lockedbg';
			// Last, but not least: regular topics.
			else
				$color_class = 'windowbg';

			// Some columns require a different shade of the color class.
			$alternate_class = $color_class . '2';

      echo'
      <tr>
        <td class="icon1 ', $color_class, '">
          <img src="', $settings['images_url'], '/topic/', $topic['class'], '.gif" alt="" />
          <img src="', $topic['first_post']['icon_url'], '" alt="" />
        </td>';
        if($settings['quickmod_location'] == 1 && !empty($settings['quickmod_location']))
        {
          echo'
        <td class="moderation ', $color_class, '" align="center">';
  				if ($options['display_quick_mod'] == 1)
  				{
            echo '
						<input type="checkbox" name="topics[]" value="', $topic['id'], '" class="input_check" />';
  				}
  				else
  				{
  					// Check permissions on each and show only the ones they are allowed to use.
  					if ($topic['quick_mod']['remove'])
  					{
  						echo '
              <a href="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], ';actions[', $topic['id'], ']=remove;', $context['session_var'], '=', $context['session_id'], '" onclick="return confirm(\'', $txt['quickmod_confirm'], '\');"><img src="', $settings['images_url'], '/icons/quick_remove.gif" width="16" alt="', $txt['remove_topic'], '" title="', $txt['remove_topic'], '" /></a>';
  					}
  					if ($topic['quick_mod']['lock'])
  					{
  						echo '
              <a href="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], ';actions[', $topic['id'], ']=lock;', $context['session_var'], '=', $context['session_id'], '" onclick="return confirm(\'', $txt['quickmod_confirm'], '\');"><img src="', $settings['images_url'], '/icons/quick_lock.gif" width="16" alt="', $txt['set_lock'], '" title="', $txt['set_lock'], '" /></a>';
            }
  					if ($topic['quick_mod']['lock'] || $topic['quick_mod']['remove'])
  					{
  						echo '
              <br />';
            }
  					if ($topic['quick_mod']['sticky'])
  					{
  						echo '
              <a href="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], ';actions[', $topic['id'], ']=sticky;', $context['session_var'], '=', $context['session_id'], '" onclick="return confirm(\'', $txt['quickmod_confirm'], '\');"><img src="', $settings['images_url'], '/icons/quick_sticky.gif" width="16" alt="', $txt['set_sticky'], '" title="', $txt['set_sticky'], '" /></a>';
            }
  					if ($topic['quick_mod']['move'])
  					{
  						echo '
              <a href="', $scripturl, '?action=movetopic;board=', $context['current_board'], '.', $context['start'], ';topic=', $topic['id'], '.0"><img src="', $settings['images_url'], '/icons/quick_move.gif" width="16" alt="', $txt['move_topic'], '" title="', $txt['move_topic'], '" /></a>';
            }
  					if ($topic['quick_mod']['copy'] && $settings['copy_topic'] == 1)
  					{
  						echo '
              <a href="', $scripturl, '?action=copytopic;board=', $context['current_board'], '.', $context['start'], ';topic=', $topic['id'], '.0"><img src="', $settings['images_url'], '/icons/quick_copy.gif" width="16" alt="', $txt['copytopic'], '" title="', $txt['copytopic'], '" /></a>';
    				}
  				}
  				echo'
        </td>';
        }

        echo'
        <td class="subject ', $alternate_class, '">
						<div ', (!empty($topic['quick_mod']['modify']) ? 'id="topic_' . $topic['first_post']['id'] . '" onmouseout="mouse_on_div = 0;" onmouseover="mouse_on_div = 1;" ondblclick="modify_topic(\'' . $topic['id'] . '\', \'' . $topic['first_post']['id'] . '\');"' : ''), '>
							', $topic['is_sticky'] ? '<strong>' : '', '<span id="msg_' . $topic['first_post']['id'] . '">', $topic['first_post']['link'], (!$context['can_approve_posts'] && !$topic['approved'] ? '&nbsp;<em>(' . $txt['awaiting_approval'] . ')</em>' : ''), '</span>', $topic['is_sticky'] ? '</strong>' : '';

					// Topic Note
					if(!empty($settings['akyne_topic_notes']))
					{
            if ($modSettings['topicnote_boardnotice'] && $context['allow_topic_note'] && !empty($topic['topic_note']))
            {
              echo '
							<img src="' . $settings['images_url'] . '/icons/topicnote.png" align="right" alt="' . strip_tags(parse_bbc($topic['topic_note'])) . '" title="' . strip_tags(parse_bbc($topic['topic_note'])) . '" style="margin: 0;" />';
            }
					}

			// Is this topic new? (assuming they are logged in!)
			if ($topic['new'] && $context['user']['is_logged'])
			{
					echo '
							<a href="', $topic['new_href'], '" id="newicon' . $topic['first_post']['id'] . '"><img src="', $settings['lang_images_url'], '/new.gif" alt="', $txt['new'], '" /></a>';
			}
			echo '
							<p>', $txt['started_by'], ' ', $topic['first_post']['member']['link'], '
								<small id="pages' . $topic['first_post']['id'] . '">', $topic['pages'], '</small>
							</p>
						</div>
        </td>
        <td class="stats ', $color_class, '">
						', $topic['replies'], ' ', $txt['replies'], ' <br />
						', $topic['views'], ' ', $txt['views'], '
        </td>
        <td  class="lastpost ', $alternate_class, '" width="22%">
						<a href="', $topic['last_post']['href'], '"><img src="', $settings['images_url'], '/icons/last_post.gif" alt="', $txt['last_post'], '" title="', $txt['last_post'], '" /></a>
						', $topic['last_post']['time'], '<br />
						', $txt['by'], ' ', $topic['last_post']['member']['link'], '
        </td>';
        if($settings['quickmod_location'] == 0 || empty($settings['quickmod_location']))
        {
          echo'
        <td class="moderation ', $color_class, '" align="center">';
  				if ($options['display_quick_mod'] == 1)
  				{
            echo '
						<input type="checkbox" name="topics[]" value="', $topic['id'], '" class="input_check" />';
  				}
  				else
  				{
  					// Check permissions on each and show only the ones they are allowed to use.
  					if ($topic['quick_mod']['remove'])
  					{
  						echo '
              <a href="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], ';actions[', $topic['id'], ']=remove;', $context['session_var'], '=', $context['session_id'], '" onclick="return confirm(\'', $txt['quickmod_confirm'], '\');"><img src="', $settings['images_url'], '/icons/quick_remove.gif" width="16" alt="', $txt['remove_topic'], '" title="', $txt['remove_topic'], '" /></a>';
  					}
  					if ($topic['quick_mod']['lock'])
  					{
  						echo '
              <a href="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], ';actions[', $topic['id'], ']=lock;', $context['session_var'], '=', $context['session_id'], '" onclick="return confirm(\'', $txt['quickmod_confirm'], '\');"><img src="', $settings['images_url'], '/icons/quick_lock.gif" width="16" alt="', $txt['set_lock'], '" title="', $txt['set_lock'], '" /></a>';
            }
  					if ($topic['quick_mod']['lock'] || $topic['quick_mod']['remove'])
  					{
  						echo '
              <br />';
            }
  					if ($topic['quick_mod']['sticky'])
  					{
  						echo '
              <a href="', $scripturl, '?action=quickmod;board=', $context['current_board'], '.', $context['start'], ';actions[', $topic['id'], ']=sticky;', $context['session_var'], '=', $context['session_id'], '" onclick="return confirm(\'', $txt['quickmod_confirm'], '\');"><img src="', $settings['images_url'], '/icons/quick_sticky.gif" width="16" alt="', $txt['set_sticky'], '" title="', $txt['set_sticky'], '" /></a>';
            }
  					if ($topic['quick_mod']['move'])
  					{
  						echo '
              <a href="', $scripturl, '?action=movetopic;board=', $context['current_board'], '.', $context['start'], ';topic=', $topic['id'], '.0"><img src="', $settings['images_url'], '/icons/quick_move.gif" width="16" alt="', $txt['move_topic'], '" title="', $txt['move_topic'], '" /></a>';
            }
  					if ($topic['quick_mod']['copy'] && $settings['copy_topic'] == 1)
  					{
  						echo '
              <a href="', $scripturl, '?action=copytopic;board=', $context['current_board'], '.', $context['start'], ';topic=', $topic['id'], '.0"><img src="', $settings['images_url'], '/icons/quick_copy.gif" width="16" alt="', $txt['copytopic'], '" title="', $txt['copytopic'], '" /></a>';
    				}
  				}
  				echo'
        </td>';
        }
        echo'
      </tr>';
		}

		if (!empty($context['can_quick_mod']) && $options['display_quick_mod'] == 1 && !empty($context['topics']))
		{
			echo '
				<tr class="titlebg">
					<td colspan="6" align="right">';
					if(!empty($settings['copy_topic']))
					{
            echo'
						<select class="qaction" name="qaction"', ($context['can_move'] || $context['can_copy'])  ? ' onchange="this.form.moveItTo.disabled = (this.options[this.selectedIndex].value != \'move\' && this.options[this.selectedIndex].value != \'copy\' );"' : '', '>';
					}
          else
          {
            echo'
						<select class="qaction" name="qaction"', $context['can_move'] ? ' onchange="this.form.moveItTo.disabled = (this.options[this.selectedIndex].value != \'move\');"' : '', '>';
          }
          echo'
            
            	<option value="">--------</option>
              ', $context['can_remove'] ? '<option value="remove">' . $txt['quick_mod_remove'] . '</option>' : '
              ', $context['can_lock'] ? '<option value="lock">' . $txt['quick_mod_lock'] . '</option>' : '
              ', $context['can_sticky'] ? '<option value="sticky">' . $txt['quick_mod_sticky'] . '</option>' : '
              ', $context['can_move'] ? '<option value="move">' . $txt['quick_mod_move'] . ': </option>' : '';
              if(!empty($settings['copy_topic']))
              {
                echo'
              ', $context['can_copy'] ? '<option value="copy">' . $txt['quick_mod_copy'] . '</option>' : '' , '';
              }
              echo'
              ', $context['can_merge'] ? '<option value="merge">' . $txt['quick_mod_merge'] . '</option>' : '
              ', $context['can_restore'] ? '<option value="restore">' . $txt['quick_mod_restore'] . '</option>' : '
              ', $context['can_approve'] ? '<option value="approve">' . $txt['quick_mod_approve'] . '</option>' : '
              ', $context['user']['is_logged'] ? '<option value="markread">' . $txt['quick_mod_markread'] . '</option>' : '', '
						</select>';

			// Show a list of boards they can move the topic to.
			if (!empty($settings['copy_topic']))
			{
        if($context['can_copy'] || $context['can_move'])
        {
					echo '
							<select class="qaction" id="moveItTo" name="move_to" disabled="disabled">';

					foreach ($context['move_to_boards'] as $category)
					{
						echo '
							<optgroup label="', $category['name'], '">';
						foreach ($category['boards'] as $board)
								echo '
								<option value="', $board['id'], '"', $board['selected'] ? ' selected="selected"' : '', '>', $board['child_level'] > 0 ? str_repeat('==', $board['child_level'] - 1) . '=&gt;' : '', ' ', $board['name'], '</option>';
						echo '
							</optgroup>';
					}
					echo '
						</select>';
  			}
			}
			else
			{
        if($context['can_move'])
        {
					echo '
							<select class="qaction" id="moveItTo" name="move_to" disabled="disabled">';

					foreach ($context['move_to_boards'] as $category)
					{
						echo '
							<optgroup label="', $category['name'], '">';
						foreach ($category['boards'] as $board)
								echo '
								<option value="', $board['id'], '"', $board['selected'] ? ' selected="selected"' : '', '>', $board['child_level'] > 0 ? str_repeat('==', $board['child_level'] - 1) . '=&gt;' : '', ' ', $board['name'], '</option>';
						echo '
							</optgroup>';
					}
					echo '
						</select>';
  			}
   }
			echo '
						<input type="submit" value="', $txt['quick_mod_go'], '" onclick="return document.forms.quickModForm.qaction.value != \'\' &amp;&amp; confirm(\'', $txt['quickmod_confirm'], '\');" class="button_submit qaction" />
					</td>
				</tr>';
		}

		echo '
		</thead>
  </table>
  </div>
	<a id="bot"></a>';

		// Finish off the form - again.
		if (!empty($context['can_quick_mod']) && $options['display_quick_mod'] == 1 && !empty($context['topics']))
			echo '
	<input type="hidden" name="' . $context['session_var'] . '" value="' . $context['session_id'] . '" />
	</form>';

		echo '
	<div class="pagesection">
		', template_button_strip($normal_buttons, 'right'), '
		<div class="pagelinks">', $txt['pages'], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . '&nbsp;&nbsp;<a href="#top"><strong>' . $txt['go_up'] . '</strong></a>' : '', '</div>
	</div>';
	}

	// Show breadcrumbs at the bottom too.
	if(empty($settings['linktree_location']) || $settings['linktree_location'] == 2)
	{
    theme_linktree();
	}

	echo '
	<div class="tborder" id="topic_icons">
		<div class="description">
			<p class="floatright" id="message_index_jump_to">&nbsp;</p>';

	if (!$context['no_topic_listing'])
		echo '
			<p class="floatleft smalltext">', !empty($modSettings['enableParticipation']) && $context['user']['is_logged'] ? '
				<img src="' . $settings['images_url'] . '/topic/my_normal_post.gif" alt="" align="middle" /> ' . $txt['participation_caption'] . '<br />' : '', '
				<img src="' . $settings['images_url'] . '/topic/normal_post.gif" alt="" align="middle" /> ' . $txt['normal_topic'] . '<br />
				<img src="' . $settings['images_url'] . '/topic/hot_post.gif" alt="" align="middle" /> ' . sprintf($txt['hot_topics'], $modSettings['hotTopicPosts']) . '<br />
				<img src="' . $settings['images_url'] . '/topic/veryhot_post.gif" alt="" align="middle" /> ' . sprintf($txt['very_hot_topics'], $modSettings['hotTopicVeryPosts']) . '
			</p>
			<p class="smalltext">
				<img src="' . $settings['images_url'] . '/icons/quick_lock.gif" alt="" align="middle" /> ' . $txt['locked_topic'] . '<br />' . ($modSettings['enableStickyTopics'] == '1' ? '
				<img src="' . $settings['images_url'] . '/icons/quick_sticky.gif" alt="" align="middle" /> ' . $txt['sticky_topic'] . '<br />' : '') . ($modSettings['pollMode'] == '1' ? '
				<img src="' . $settings['images_url'] . '/topic/normal_poll.gif" alt="" align="middle" /> ' . $txt['poll'] : '') . '
			</p>';

	echo '
			<script type="text/javascript"><!-- // --><![CDATA[
				if (typeof(window.XMLHttpRequest) != "undefined")
					aJumpTo[aJumpTo.length] = new JumpTo({
						sContainerId: "message_index_jump_to",
						sJumpToTemplate: "<label class=\"smalltext\" for=\"%select_id%\">', $context['jump_to']['label'], ':<" + "/label> %dropdown_list%",
						iCurBoardId: ', $context['current_board'], ',
						iCurBoardChildLevel: ', $context['jump_to']['child_level'], ',
						sCurBoardName: "', $context['jump_to']['board_name'], '",
						sBoardChildLevelIndicator: "==",
						sBoardPrefix: "=> ",
						sCatSeparator: "-----------------------------",
						sCatPrefix: "",
						sGoButtonLabel: "', $txt['quick_mod_go'], '"
					});
			// ]]></script>
			<br class="clear" />
		</div>
	</div>';

	// Javascript for inline editing.
	echo '
<script type="text/javascript" src="' . $settings['default_theme_url'] . '/scripts/topic.js"></script>
<script type="text/javascript"><!-- // --><![CDATA[

	// Hide certain bits during topic edit.
	hide_prefixes.push("lockicon", "stickyicon", "pages", "newicon");

	// Use it to detect when we\'ve stopped editing.
	document.onclick = modify_topic_click;

	var mouse_on_div;
	function modify_topic_click()
	{
		if (in_edit_mode == 1 && mouse_on_div == 0)
			modify_topic_save("', $context['session_id'], '", "', $context['session_var'], '");
	}

	function modify_topic_keypress(oEvent)
	{
		if (typeof(oEvent.keyCode) != "undefined" && oEvent.keyCode == 13)
		{
			modify_topic_save("', $context['session_id'], '", "', $context['session_var'], '");
			if (typeof(oEvent.preventDefault) == "undefined")
				oEvent.returnValue = false;
			else
				oEvent.preventDefault();
		}
	}

	// For templating, shown when an inline edit is made.
	function modify_topic_show_edit(subject)
	{
		// Just template the subject.
		setInnerHTML(cur_subject_div, \'<input type="text" name="subject" value="\' + subject + \'" size="60" style="width: 95%;" maxlength="80" onkeypress="modify_topic_keypress(event)" class="input_text" /><input type="hidden" name="topic" value="\' + cur_topic_id + \'" /><input type="hidden" name="msg" value="\' + cur_msg_id.substr(4) + \'" />\');
	}

	// And the reverse for hiding it.
	function modify_topic_hide_edit(subject)
	{
		// Re-template the subject!
		setInnerHTML(cur_subject_div, \'<a href="', $scripturl, '?topic=\' + cur_topic_id + \'.0">\' + subject + \'<\' +\'/a>\');
	}

// ]]></script>';
}

function template_tidy_children() {
	global $context, $settings, $txt, $modSettings;
	echo '
						<div class="board_children">';
	foreach($context['tidy_board']['tidy_children'] as $key => $child_block) {
		echo '
							<div class="tidy_child">
								<ul>';
		foreach($child_block as $child) {
			echo '
									<li>';

			if(!empty($modSettings['tidy_child_boards_icon']))
				echo '<img src="', $settings['images_url'], '/small-', ($child['new'] ? 'on' : 'off'), '.png" alt="" /> ';

			if (!$child['is_redirect'])
				$child['link'] = '<a href="' . $child['href'] . '" ' . ($child['new'] ? 'class="new_posts" ' : '') . 'title="' . ($child['new'] ? $txt['new_posts'] : $txt['old_posts']) . ' (' . $txt['board_topics'] . ': ' . comma_format($child['topics']) . ', ' . $txt['posts'] . ': ' . comma_format($child['posts']) . ')">' . $child['name'] . '</a>';
			else
				$child['link'] = '<a href="' . $child['href'] . '" title="' . comma_format($child['posts']) . ' ' . $txt['redirects'] . '">' . $child['name'] . '</a>';

			if (!empty($modSettings['tidy_child_boards_new']) && $child['new'])
				$child['link'] .= ' <a href="' . $child['href'] . '" title="' . $txt['new_posts'] . ' (' . $txt['board_topics'] . ': ' . comma_format($child['topics']) . ', ' . $txt['posts'] . ': ' . comma_format($child['posts']) . ')"><img src="' . $settings['lang_images_url'] . '/new.gif" class="new_posts" alt="" /></a>';

			// Has it posts awaiting approval?
			if ($child['can_approve_posts'] && ($child['unapproved_posts'] | $child['unapproved_topics']))
				$child['link'] .= ' <a href="' . $scripturl . '?action=moderate;area=postmod;sa=' . ($child['unapproved_topics'] > $child['unapproved_posts'] ? 'topics' : 'posts') . ';brd=' . $child['id'] . ';' . $context['session_var'] . '=' . $context['session_id'] . '" title="' . sprintf($txt['unapproved_posts'], $child['unapproved_topics'], $child['unapproved_posts']) . '" class="moderation_link">(!)</a>';

			if(!empty($modSettings['tidy_child_boards_bold']) && $child['new'])
				$child['link'] = '<strong>' . $child['link'] . '</strong>';

			echo $child['link'], '</li>';
		}
		echo '
								</ul>
							</div>';
	}
	echo '
						</div>';
}
?>