<?php
// Version: 2.0; Settings

global $settings, $context, $scripturl;

$txt['theme_thumbnail_href'] = $settings['images_url'] . '/thumbnail.gif';
$txt['theme_description'] = 'A light and colorful theme with a large array of options. Created by <a href="http://multitalk2.com" target="_blank">MT2-Soft</a>. (Theme &copy; 2010-2011 Gary M. Gadsdon, header background by Leif Jensen, English British Translation by Gary M. Gadsdon)';

$txt['logodir'] = 'Use Logo Directory';
$txt['logodir_desc'] = 'You can use a logo directory to store your custom logos, this is for when using both custom logos and colourforms<br />The Logos should be stored in the following format ' . $settings['images_url'] . '/logos/logo_[COLOURFORM].png.';

$txt['width'] = 'Forum Width';
$txt['width_desc'] = 'Set the forum width. This is a percentage value, values in pixels are invalid. Do not include the percentage symbol.';

$txt['favicon_url'] = 'Favicon URL';
$txt['favicon_url_desc'] = 'Here you can input the URL to your forum\'s favicon.ico';

$txt['banner_url'] = 'Banner URL';
$txt['banner_url_desc'] = 'Here you can input the URL to a banner image that would appear above the template_menu()';

$txt['news_padding'] = 'News Padding';
$txt['news_padding_desc'] = 'If your banner image overlaps the news text, then you can move it rightwards so that it no longer overlaps. An example of the overlapping can be found on <a href="http://multitalk2.com" target="_blank">Multi Talk 2</a>';

$txt['banner_height'] = 'Banner Height';
$txt['banner_height_desc'] = 'The banner is capable of extending behind the template_menu, but to do so you need to enter the height of the image if it is greater than 154 pixels';

$txt['menu_type'] = 'Navigation Menu Type';
$txt['menu_type_desc'] = 'How do you want to view the navigation menu based on previous default themes by YaBB SE or SMF.<br />&quot;Curve&quot; is the default for SMF 2.0 and Multi Milk 2<br />&quot;Core&quot; was the default for SMF 1.1<br />&quot;Babylon&quot; was the default for SMF 1.0<br />&quot;Classic&quot; was the default for YaBB SE 1.5.5.<br />&quot;Plain Text&quot; is exactly that, it contains no images, or styling.<br />This will only effect the navigation menu.';

$txt['regbar'] = 'Registration Bar';
$txt['regbar_desc'] = 'This will show a message across the top of the forum that will ask guests to register.';

$txt['menu_icons'] = 'Include Icons in menu';
$txt['menu_icons_desc'] = 'This will enable icons to appear as part of the links in the navigation menu. This feature is only supported by the &quot;Curve&quot; tabs above.';

$txt['display_location'] = 'Display Locations in Posts';
$txt['display_location_desc'] = 'This will display the users location in their posts. (Provided they\'ve entered one)';

$txt['regbar_msg'] = 'Registration Bar Message';
$txt['regbar_msg_desc'] = 'This will customize the message that is actually shown to the guests.';

$txt['welcome_box'] = 'Welcome Box';
$txt['welcome_box_desc'] = 'This will show a welcome box to users, setting this to &quot;Nobody&quot; is equal to disabling this setting.';

$txt['member_box_max_posts'] = 'Welcome Box Max Posts';
$txt['member_box_max_posts_desc'] = 'For members you can set a maximum number of posts it will appear for (0 posts will only show it for those who have not posted)';

$txt['membox_title'] = 'Welcome Box Title Message';
$txt['membox_title_desc'] = 'This is the title for your Welcome Message';

$txt['membox_msg'] = 'Welcome Box Message for Members';
$txt['membox_msg_desc'] = 'This is the main message for your Welcome Message for Members who are logged in';

$txt['membox_msg_g'] = 'Welcome Box Message for Guests';
$txt['membox_msg_g_desc'] = 'This is the main message for your Welcome Message for Guests';

$txt['dropdowns'] = 'Use Dropdowns in menu';
$txt['dropdowns_desc'] = 'This will enable the use of dropdowns in the navigation menu. This feature is only supported by the &quot;Curve&quot; tabs above.';

$txt['modpos'] = 'Moderator names location';
$txt['modpos_desc'] = 'This will determine the location of your moderators<br /> &quot;Below&quot; will list them below the board description, while &quot;Right&quot; will list them to the right of the Last Posts.';

$txt['childboard_rename'] = 'Rename Child Boards';
$txt['childboard_rename_desc'] = 'This will allow you to use an alternative string for &quot;Child Boards&quot; in public areas (they will still be called Child Boards in the Admin Panel), possible alternative strings include &quot;Sub-Boards&quot; or &quot;Sub-Forums&quot; among others, emptying this box results in &quot;Child Boards&quot; being used again.';

$txt['customboardicons'] = 'Custom Board Icons';
$txt['customboardicons_desc'] = 'This will allow each individual board to have their own icons determined by their ID number in the database.<br /> New Posts in Boards have [BOARD_ID]-on<br /> New Posts in Child Boards (but not parents) have [BOARD_ID]-on2<br /> No New Posts at all have [BOARD_ID]-off<br /> Redirect boards have [BOARD_ID]-redirect.<br /> The images should be stored in: ' . $settings['images_url'] . '/boards.';

$txt['boardfiletype'] = 'Board Icon File Type';
$txt['boardfiletype_desc'] = 'Which file type do you wish your board icons to be in. This will also effect the Custom Board Icons setting above if it is enabled. PNG is the default, remember, Alpha-transparent PNG\'s do not work on Internet Explorer 6.';

$txt['linktree_location'] = 'Linktree Location';
$txt['linktree_location_desc'] = 'This will set the location of the Linktree, you can also disable it from this setting.';

$txt['linktree_style'] = 'Linktree Style';
$txt['linktree_style_desc'] = 'This will change the style in which the link tree looks. The &quot;Classic&quot; option is the look that was used in the Classic YaBB SE theme, &quot;vBuletin 3&quot; is based on the older vBulletin 3.8 styling, &quot;vBulletin 4&quot; is based on the vBulletin 4 style, &quot;Xenforo&quot; is based on the style used in Xenforo and the &quot;Default&quot; layout is the standard layout for SMF.<br />';

$txt['linktree_separator'] = 'Linktree Separator';
$txt['linktree_separator_desc'] = 'This will allow you change which symbol is used to separate links in the Linktree. This setting applies to the &quot;vBulletin 3&quot; and the &quot;Default&quot; modes in the setting above. HTML entities should be used for non-Latin characters so &gt; becomes &quot;&amp;gt;&quot;. Leave empty for the default (&#187;)';

$txt['current_pos_text_img_desc'] = 'This will enable the Linktree navigator to be links, instead of plain text.';

$txt['customcopyright'] = 'Custom Copyright Notice';
$txt['customcopyright_desc'] = 'Here you can include your own custom copyright notice. Remember, it is illegal to remove the MT2-Soft copyright notice without prior permission from Gary M. Gadsdon, you can contact him on <a href="http://multitalk2.com" target="_blank">Multi Talk 2</a>.';

$txt['show_pm_info'] = 'Show PM information in Info Center';

$txt['member_id'] = 'Display Member ID Number in posts';
$txt['member_id_desc'] = 'This will show the poster\'s ID number next to their posts.';

$txt['topicstart_icon'] = 'Display Topic Starter Icon';
$txt['topicstart_icon_desc'] = 'This will display an icon indicating the person who started the current topic';

$txt['posturl'] = 'Display Post URL in posts';
$txt['posturl_desc'] = 'This will display the posts URL for easy linking';

$txt['join_date'] = 'Display join date in posts';
$txt['join_date_desc'] = 'This will add a users join date to their posts';

$txt['ban_posts'] = 'Include a ban user button in posts';
$txt['ban_posts_desc'] = 'This will add a link that will enable you to ban members from their posts directly. (Naturally, this button will not appear next to admins)';

$txt['page_navigation'] = 'Include quick jump buttons in posts';
$txt['page_navigation_desc'] = 'This will add links to the next and/or previous posts within them. (This is based on the <a href="http://custom.simplemachines.org/mods/index.php?mod=2048" target="_blank">Add Posts Navigation</a> mod, but you do not need to install it.)';

$txt['modbuttons_location'] = 'Moderation Buttons Location';
$txt['modbuttons_location_desc'] = 'This alters where the moderation (Quote, Modify, Delete etc...) buttons are positioned in relation to the post content. The code for these buttons has been moved to DisplayModButtons.template.php and PersonalModButtons.template.php in either case.';

$txt['post_topic'] = 'Status Layout';
$txt['post_topic_desc'] = 'You can set the post and topic counts to have a different layout. The &quot;Classic&quot; layout is the style used in the Classic YaBB SE theme with the two in separate columns, &quot;Special&quot; is the same, but the actual number is enlarged, while &quot;Default&quot; is the standard.';

$txt['rss'] = 'Display RSS Button';
$txt['rss_desc'] = 'This will trigger an RSS button to appear next to each board.';

$txt['quickmod_location'] = 'Quick Moderation Location';
$txt['quickmod_location_desc'] = 'This will change the position of where the Quick Moderation Icons/Checkboxes are on the MessageIndex';

$txt['attach_align'] = 'Attachment Alignment';
$txt['attach_align_desc'] = 'This will change how the attachments are aligned. Horizontal will display them next to each other, while Vertical will display them on top of each other, which is also the default.';

$txt['adcontent'] = 'Display an ad on every page';
$txt['adcontent_desc'] = 'You can display an advertisement on your forum to help generate revenues, using a client such as <a href="http://google.com/adsense" target="_blank">AdSense</a>, but use this feature if you do not want to use the <a href="http://custom.simplemachines.org/mods/index.php?mod=2557" target="_blank">SimpleAds Mod</a>. Leave this empty if you do not wish to use this feature, or if you\'re using the SimpleAds Mod';

$txt['kontera'] = 'Kontera Ad Code';
$txt['kontera_desc'] = 'If you\'re using in-text advertisements provided by <a href="http://kontera.com" target="_blank">Kontera</a> then you can instert your ad code provided by them here.';

$txt['ad_background'] = 'Override color background';
$txt['ad_background_desc'] = 'Some ad clients require you to enter a background color, but some do not, use this setting to give a background to the ad if your client does not require you to enter one';

$txt['hide_subject'] = 'Hide Subject titles for Replies';
$txt['hide_subject_desc'] = 'This will hide the subject link in replies. This will only disable the displaying of them in posts, it doesn\'t stop anyone from changing it nor does it hide them in other areas of the forum such as the BoardIndex.'; 

// MOD SUPPORT
$txt['simpleads_enable'] = 'Enable Simple Ads Mod';
$txt['simpleads_enable_desc'] = 'This will allow you to use the SimpleAds Mod in Multi Milk 2. You can download the mod from <a href="http://custom.simplemachines.org/mods/index.php?mod=2557" target="_blank">here</a>, you must have the mod installed for this setting to work.';

$txt['relatedtopic_enable'] = 'Enable Related Topics Mod';
$txt['relatedtopic_enable_desc'] = 'This will enable the Related Topic Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=189" target="_blank">here</a>. You can configure the mod <a href="' . $scripturl . '?action=admin;area=relatedtopics;' . $context['session_id'] . '">here</a> once installed.';

$txt['usersonline_today'] = 'Enable Users Online Today Mod';
$txt['usersonline_today_desc'] = 'This will enable the Users Online Today Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=219" target="_blank">here</a>. ';

$txt['countryflag_enable'] = 'Enable Country Flags Mod';
$txt['countryflag_enable_desc'] = 'This will enable the Country Flag Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=417" target="_blank">here</a>. You can configure the mod <a href="' . $scripturl . '?action=admin;area=modsettings;' . $context['session_id'] . '">here</a> once installed.';

$txt['awards_enable'] = 'Enable Awards Mod';
$txt['awards_enable_desc'] = 'This will enable the Awards Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=475" target="_blank">here</a>. You can configure the mod <a href="' . $scripturl . '?action=admin;area=awards;' . $context['session_id'] . '">here</a> once installed.';

$txt['tag_enable'] = 'Enable SMF Tags Mod';
$txt['tag_enable_desc'] = 'This will enable the SMF Tag Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=579" target="_blank">here</a>. You can configure the mod <a href="' . $scripturl . '?action=admin;area=tags;sa=admin;' . $context['session_id'] . '">here</a> once installed.';

$txt['topic_display'] = 'Enable Topics on Display Mod';
$txt['topic_display_desc'] = 'This will enable the Topic on Display Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=1007" target="_blank">here</a>. You will need to recount your stats from <a href="' . $scripturl . '?action=admin;area=maintain;sa=routine;done=recount;' . $context['session_id'] . '">here</a> once installed.';

$txt['delete_spam'] = 'Enable Delete Spam Posts Mod';
$txt['delete_spam_desc'] = 'This will enable the Delete Spam Posts Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=1007" target="_blank">here</a>. You can configure the mod <a href="' . $scripturl . '?action=admin;area=postsettings;sa=posts;' . $context['session_id'] . '">here</a> once installed.';

$txt['copy_topic'] = 'Enable Copy Topics Mod';
$txt['copy_topic_desc'] = 'This will enable the Copy Topic Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=1074" target="_blank">here</a>.';

$txt['board_post_icon'] = 'Enable Board Message Icons Mod';
$txt['board_post_icon_desc'] = 'This will enable the Board Message Icon Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=1109" target="_blank">here</a>.';

$txt['unapprove_enable'] = 'Enable Unapprove Posts Mod';
$txt['unapprove_enable_desc'] = 'This will enable the Unapprove Posts Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=1128" target="_blank">here</a>.';

$txt['osbrowser_detect'] = 'Enable OS/Browser Detection Mod';
$txt['osbrowser_detect_desc'] = 'This will enable the OS/Browser Detection Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=1515" target="_blank">here</a>.';

$txt['multiple_polls'] = 'Enable Additional Polls Mod';
$txt['multiple_polls_desc'] = 'This will enable the Additional Polls Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=1586" target="_blank">here</a>. Remember to switch this off if you uninstall the mod later on.';

$txt['akyne_topic_notes'] = 'Enable Topic Notices Mod';
$txt['akyne_topic_notes_desc'] = 'This will enable the Topic Notice Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=1906" target="_blank">here</a>. You can configure the mod <a href="' . $scripturl . '?action=admin;area=manageboards;' . $context['session_id'] . '">here</a> and <a href="' . $scripturl . '?action=admin;area=modsettings;sa=topicnote;' . $context['session_id'] . '">here</a> once installed. You do not need to install this if you installed the Board Notices mod below as that covers the Board Notice portion of this mod.';

$txt['pagelinks_enable'] = 'Enable Previous/Next Topic Page Mod';
$txt['pagelinks_enable_desc'] = 'This will enable the Previous/Next Topic Page Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=2042" target="_blank">here</a>.';

$txt['enhanced_pm_enable'] = 'Enable Enhanced PMs Mod';
$txt['enhanced_pm_enable_desc'] = 'This will enable the Enhanced PM Mod Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=2283" target="_blank">here</a>.';

$txt['tidy_boards_enable'] = 'Enable Tidy Child Boards Mod';
$txt['tidy_boards_enable_desc'] = 'This will enable the Child Boards Mod functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=2294" target="_blank">here</a>. This setting disables the rename Child Boards setting above.';

$txt['multi_quote_enable'] = 'Enable Multi Quotes Mod';
$txt['multi_quote_enable_desc'] = 'This will enable the Multi Quote Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=2360" target="_blank">here</a>.';

$txt['board_notices'] = 'Enable Board Notices Mod';
$txt['board_notices_desc'] = 'This will enable the Board Notice Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=2371" target="_blank">here</a>. You can configure the mod <a href="' . $scripturl . '?action=admin;area=manageboards;' . $context['session_id'] . '">here</a> once installed. You do not need to install this if you installed the Topic Notices mod above as that has this mod built in.';

$txt['badge_panels'] = 'Enable Badge in User Panel, Profile and Signature mod';
$txt['badge_panels_desc'] = 'This will enable the <a href="http://custom.simplemachines.org/mods/index.php?mod=2375" target="_blank">Badge in User Panel, Profile and Signature Mod</a> functionality. Due to the way the theme works, Profile support is active on install of the mod. This setting will enable User Panel and Signature support.';

$txt['load_detect_mod'] = 'Enable Server Load Detection Mod';
$txt['load_detect_mod_desc'] = 'This will enable the Server Load Detection Functionality, download the mod <a href="http://custom.simplemachines.org/mods/index.php?mod=2699" target="_blank">here</a>. You can configure the mod <a href="' . $scripturl . '?action=admin;area=modsettings;' . $context['session_id'] . '">here</a> once installed. Like the SM.org mod page states, this mod will only work on Linux servers.';

$txt['address_button'] = 'Enable the Address (Nickname to Reply) Mod';
$txt['address_button_desc'] = 'This will enable the Nickname to Reply mod, despite that Multi Milk 2 will refer to it as &quot;Addressing&quot; them. The mod can be downloaded <a href="http://custom.simplemachines.org/mods/index.php?mod=2792" target="_blank">here</a>. It can be configured below. Due to how Multi Milk 2 works, the ability to display the specific member\'s name is unavailable.';

$txt['nickname_color'] = 'Addressed username colour';
$txt['nickname_color_desc'] = 'This will change the colour of the usernames when being addressed directly via the mod above.';

// LARGE MOD SUPPORT
$txt['adkportal_enable'] = 'Enable Adk Portal Support';
$txt['adkportal_enable_desc'] = 'This will activate any template specific items that <a href="http://smfpersonal.net" target="_blank">Adk Portal</a> needs.';

$txt['simple_portal_enable'] = 'Enable SimplePortal Support';
$txt['simple_portal_enable_desc'] = 'This will activate any template specific items that <a href="http://simpleportal.net" target="_blank">SimplePortal</a> needs.';

$txt['simple_desk_enable'] = 'Enable SimpleDesk Support';
$txt['simple_desk_enable_desc'] = 'This will activate any template specific items that <a href="http://simpledesk.net" target="_blank">SimpleDesk</a> needs.';

$txt['adkblog_enable'] = 'Enable Adk Blog Support';
$txt['adkblog_enable_desc'] = 'This will activate any template specific items that <a href="http://smfpersonal.net" target="_blank">Adk Blog</a> needs.';

// Section Descriptors
$txt['colorform_descriptor'] = 'Here you can alter the settings for the colorforms. Colorforms are different colored skins that users can change as they desire.<br /><br />';
$txt['general_descriptor'] = 'The following options are general purpose settings that allow you to give your forum a small amount of self branding, such as a logo and a favicon.';
$txt['menu_descriptor'] = 'These options are settings which allow you to change the way the template_menu() in the header area looks, based on past versions of SMF, it\'s what users use to navigate around the forum.';
$txt['news_descriptor'] = 'These options will allow to change the way news is positioned, if it is displayed at all.';
$txt['guest_descriptor'] = 'These options allow you to display a message to guests at the very top of the forum. It could be a helpful way to ask them to join the forum.';
$txt['membox_descriptor'] = 'Like the register bar for Guests, these settings serve a similar purpose for members. It can be set to disappear after a set number of posts. Some people may find it annoying if left around for too many posts.';
$txt['boardindex_descriptor'] = 'These settings will change how the boards are layed out.';
$txt['linktree_descriptor'] = 'The following options will alter how the Linktree looks, and where it\'s placed. Layouts are based on previous versions of SMF as well as the highly popular (for some reason) vBulletin.';
$txt['moderators_descriptor'] = 'The following options will allow you to change how you list the moderators within each board, as well as the options to moderate within posts';
$txt['attach_descriptor'] = 'The following option changes how attachments get displayed.';
$txt['ads_descriptor'] = 'The following options allow you to add an advertisement onto the forum to generate revenues.';
$txt['common_descriptor'] = 'The following options are general forum settings.';
$txt['boardindex_descriptor'] = 'The following options are general forum settings that effect the BoardIndex, mostly focusing in the Info Center.';
$txt['messageindexdisplay_descriptor'] = 'The following setting effects both the MessageIndex and the Display';
$txt['display_descriptor'] = 'These settings will add buttons and information to posts and user profiles';
$txt['pm_descriptor'] = 'These settings will make tweaks to the Post screens';
$txt['copyright_descriptor'] = 'This will allow you to add your own message to the copyright area. Editing the SMF copyright, or the MT2-Soft Copyright are both illegal.';
$txt['modsupport_descriptor'] = 'These settings will enable you to make use of mods available on the <a href="http://custom.simplemachines.org/mods" target="_blank">SMF Mod Site</a>. All of these mods will need to be installed via the <a href="' . $scripturl . '?action=admin;area=packages;' . $context['session_id'] . '">Package Manager</a> first. They are settings to help prevent your error log filling up when they are not installed. Some mods may need to emulate the Package Manager to a different version to install properly.';
$txt['nickname_descriptor'] = 'This is a setting from the Address Button Mod Setting';
$txt['largemodsupport_descriptor'] = 'These settings are here to add any template specific code that large mods may need. It is not a good idea to install more than one of the same type.';

$txt['portals_descriptor'] = 'Portals:';
$txt['helpdesks_descriptor'] = 'Helpdesks:';
$txt['blogs_descriptor'] = 'Blogs:';
?>